/*
 *
 * CwBdRecordNcpushMapper.java
 * Copyright(C) 2017-2020 DHCC
 * @date 2020-05-20
 */
package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdRecordNcpush;
import com.dhcc.finance.main.domain.CwBdRecordNcpushExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CwBdRecordNcpushMapper {
    /**
     * @mbg.generated 2020-05-20
     */
    long countByExample(CwBdRecordNcpushExample example);

    /**
     * @mbg.generated 2020-05-20
     */
    int deleteByExample(CwBdRecordNcpushExample example);

    /**
     * @mbg.generated 2020-05-20
     */
    int deleteByPrimaryKey(String id);

    /**
     * @mbg.generated 2020-05-20
     */
    int insert(CwBdRecordNcpush record);

    /**
     * @mbg.generated 2020-05-20
     */
    int insertSelective(CwBdRecordNcpush record);

    /**
     * @mbg.generated 2020-05-20
     */
    List<CwBdRecordNcpush> selectByExample(CwBdRecordNcpushExample example);

    /**
     * @mbg.generated 2020-05-20
     */
    CwBdRecordNcpush selectByPrimaryKey(String id);

    /**
     * @mbg.generated 2020-05-20
     */
    int updateByExampleSelective(@Param("record") CwBdRecordNcpush record, @Param("example") CwBdRecordNcpushExample example);

    /**
     * @mbg.generated 2020-05-20
     */
    int updateByExample(@Param("record") CwBdRecordNcpush record, @Param("example") CwBdRecordNcpushExample example);

    /**
     * @mbg.generated 2020-05-20
     */
    int updateByPrimaryKeySelective(CwBdRecordNcpush record);

    /**
     * @mbg.generated 2020-05-20
     */
    int updateByPrimaryKey(CwBdRecordNcpush record);
}